import request from '@/utils/request'

//查询数据集
export function list(query) {
  return request({
    url: '/ai/dataset/list',
    method: 'get',
    params: query
  })
}
export function datasetList(query) {
  return request({
    url: '/ai/dataset/datasetList',
    method: 'get',
    params: query
  })
}

//创建数据集
export function add(data) {
  return request({
    url: '/ai/dataset/create',
    method: 'post',
    data: data
  })
}

//删除数据集
export function del(dataSetIds) {
  return request({
    url: '/ai/dataset/delete/'+dataSetIds,
    method: 'post'
  })
}
//删除数据集
export function setPublic(datasetId,isPublic) {
  let data = {
    datasetId,
    isPublic
  }
  return request({
    url: '/ai/dataset/setPublic',
    method: 'post',
    params: data
  })
}

export function importData(data) {
  return request({
    url: '/ai/dataset/import',
    method: 'post',
    data: data
  })
}



